% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fill-na.R
\name{fill_na.nlists}
\alias{fill_na.nlists}
\title{Fill Missing Values}
\usage{
\method{fill_na}{nlists}(x, value = 0L, ...)
}
\arguments{
\item{x}{An object.}

\item{value}{A scalar of the value to replace values with.}

\item{...}{Other arguments passed to methods.}
}
\value{
The modified object.
}
\description{
Fills all of an object's missing values
while preserving the object's dimensionality and class.
}
\details{
It should only be defined for objects with values of consistent class ie
not standard data.frames.
}
\section{Methods (by class)}{

\itemize{
\item \code{fill_na(logical)}: Fill Missing Values for logical Objects

\item \code{fill_na(integer)}: Fill Missing Values for integer Objects

\item \code{fill_na(numeric)}: Fill Missing Values for numeric Objects

\item \code{fill_na(character)}: Fill Missing Values for character Objects

}
}

\examples{
fill_na(nlist(x = c(2, NA), y = matrix(c(1:3, NA), nrow = 2)))
}
\seealso{
Other fill: 
\code{\link[extras]{fill_all}()}
}
